View Issue Details

IDProjectCategoryView StatusLast Update
00302642.x IDE BugsTutorialsPublic2019-01-31 14:53
ReporterDanAssigned ToAlan Savage 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030264: Tutorials: Corrupt tutorials are simply silently deleted off the disk, no message to the user why
DescriptionA recent update to these MP assets meant all users could not download either "My First Arena Shooter" tutorial. The download gets near the end, then jumps to completed, but then shows the tutorial as available for download - looking for the files on disk, they have been removed. We have now fixed the change to the tutorial, but the IDE should really have been showing a message that the asset was found to be corrupt and so the files have been cleared. This would have made it obvious to us that the issue was not due to file permissions on the reporters' PCs.

There was an error logged each time, so we are capturing this info, just not displaying it to the user effectively.

[12:07:34:77(27fe)] Tutorial com.YoYoGames.MyFirstGameCode downloaded completed: C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\gmarket_50\Marketplace\1541672548_com.YoYoGames.MyFirstGameCode.yymp
[12:07:34:81(27fe)] Starting job:ExtractPackage...
[12:07:34:82(27fe)] Extracting package: C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\gmarket_50\Marketplace\1541672548_com.YoYoGames.MyFirstGameCode.yymp to: ${user_directory}\Marketplace\Tutorials\1541672548_com.YoYoGames.MyFirstGameCode
[12:07:34:98(27fe)] starting cmd /c subst V: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\gmarket_50\Marketplace\Tutorials\1541672548_com.YoYoGames.MyFirstGameCode"
[12:07:34:133(27fe)] elapsed time 00:00:00.0360346s for command "cmd" /c subst V: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\gmarket_50\Marketplace\Tutorials\1541672548_com.YoYoGames.MyFirstGameCode" started at 11/29/2018 12:07:34
[12:07:36:22(27fe)] Unzip [7z] Exception:System.NotSupportedException: Specified method is not supported.
   at SharpCompress.Compressor.LZMA.DecoderRegistry.CreateDecoderStream(CMethodId id, Stream[] inStreams, Byte[] info, IPasswordProvider pass, Int64 limit)
   at SharpCompress.Compressor.LZMA.DecoderStreamHelper.CreateDecoderStream(Stream inStream, Int64 startPos, Int64[] packSizes, CFolder folderInfo, IPasswordProvider pass)
   at SharpCompress.Common.SevenZip.ArchiveDatabase.GetFolderStream(Stream stream, CFolder folder, IPasswordProvider pw)
   at SharpCompress.Archive.SevenZip.SevenZipArchive.SevenZipReader.<GetEntries>d__7.MoveNext()
   at SharpCompress.Reader.AbstractReader`2.MoveToNextEntry()
   at YoYoStudio.Core.Utils.ZipUtil.Extract7zArchive(String _archiveFullName, String _extractDir, String& _outErrorMsg, ProgressCallback _progressCallback)
[12:07:36:37(27fe)] Extract Complete:success=False
[12:07:36:37(27fe)] FAILED job:ExtractPackage
Steps To Reproduce0. Upload a broken testing tutorial asset.
1. Start GMS2.
2. On the Start Page, open the Tutorials tab.
3. Try to download your tutorial.
4. Observe the download will succeed, but the extraction will silently fail and the start page will show the tutorial as available to download.
Repro: 100%
TagsIDE
2.x IDE Found In2.2.1.372
2.x Runtime Found In2.2.1.284
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Alan Savage

2018-12-10 17:34

Developer   ~0062207

+also showing error dialogs for tutorial/demo download or purchase fail

Dan

2019-01-31 14:52

Adminstrator   ~0062611

All good now. You get the error as shown. Closing.

proof.png (49,108 bytes)
proof.png (49,108 bytes)